SuSE 11.3 Security Update : curl (SAT Patch Number 9133)

Medium Nessus Plugin ID 74115


The remote SuSE 11 host is missing one or more security updates.


This curl update fixes the following security issues :

- wrong re-use of connections. (CVE-2014-0138).

- IP address wildcard certificate validation.
(CVE-2014-0139). (bnc#868629)

- --insecure option inappropriately enforcing security safeguard. (bnc#870444)


Apply SAT patch number 9133.

See Also

Plugin Details

Severity: Medium

ID: 74115

File Name: suse_11_curl-140415.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2014/05/21

Modified: 2014/12/15

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:curl, p-cpe:/a:novell:suse_linux:11:libcurl4, p-cpe:/a:novell:suse_linux:11:libcurl4-32bit, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/04/15

Reference Information

CVE: CVE-2014-0138, CVE-2014-0139